Page MenuHomePhabricator

discuss-space.wmflabs.org and space.wmflabs.org pull data from third parties
Closed, ResolvedPublic0 Story Points

Description

https://discuss-space.wmflabs.org/ and https://space.wmflabs.org/ (requested in T225081) violate users' privacy by pulling data from third party servers.

Also see T172065: Hunt for Toolforge tools that load resources from third party sites (though that's for Toolforge).

Event Timeline

Aklapper created this task.Jun 25 2019, 6:26 PM
jrbs added a subscriber: jrbs.Jun 25 2019, 11:42 PM

I fixed the first two regarding the background image.

CKoerner_WMF updated the task description. (Show Details)Jun 26 2019, 8:58 PM

Thanks. Meh, the reverse proxy at tools-static.wmflabs.org/fontcdn is only accessible within Toolforge IIUC...

The specific line seems to be:

<link rel='stylesheet' id='twentyseventeen-fonts-css' href='https://fonts.googleapis.com/css?family=Libre+Franklin%3A300%2C300i%2C400%2C400i%2C600%2C600i%2C800%2C800i&#038;subset=latin%2Clatin-ext' type='text/css' media='all' />

CKoerner_WMF closed this task as Resolved.Jun 26 2019, 10:38 PM
CKoerner_WMF claimed this task.

Removed the calls to Google for fonts. Thanks Andre for the reminder.

Qgil awarded a token.EditedJun 27 2019, 6:59 AM

(We need a Space token.) 🚀